<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="text"/> 
 
<xsl:template match="//message/response/collection">
<xsl:value-of select="@name"/>: <xsl:value-of select="metadataList/metadata[@name='Title']"/><xsl:text>
</xsl:text>
<xsl:value-of select="metadataList/metadata[@name='Description']"/>
<xsl:text>
</xsl:text>
The collection has <xsl:value-of select="metadataList/metadata[@name='numDocs']"/> documents.
Metadata available for this collection are:
<xsl:for-each select="metadataList/metadata[@name='Metadata']/element">
<xsl:value-of select="@name"/>, 
</xsl:for-each>
<xsl:apply-templates select="serviceList"/>
</xsl:template>


<xsl:template match="serviceList">
the Services available are:
<xsl:for-each select="service"> 
***<xsl:value-of select="@name"/>
</xsl:for-each>
</xsl:template>


</xsl:stylesheet>
